#
# spec file for package mxml (Version 2.2.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux valgrind vim zlib zlib-devel

Name:           mxml
BuildRequires:  gcc-c++
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
URL:            http://www.easysw.com/~mike/mxml
License:        GPL v2 or later
Group:          Development/Libraries/Other
Version:        2.2.2
Release:        35
Summary:        Small XML Parsing Library
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
nonstandard libraries.



Authors:
--------
    Michael Sweet

%debug_package
%prep
%setup
%patch

%build
%configure --with-docdir=%{_docdir}/%{name} --enable-shared
%{__make}

%install
%makeinstall DSTROOT=%{buildroot}
%{__rm} -rf %{buildroot}%{_mandir}/cat*

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmxml*
%{_libdir}/pkgconfig/mxml*
%{_includedir}/*
%{_mandir}/*/mxml*
%{_bindir}/mxml*
%doc ANNOUNCEMENT CHANGES COPYING README
%doc doc/*.html doc/*.png doc/*.xsd

%changelog
* Wed Apr 25 2007 - mrueckert@suse.de
- enabled building of the shared library. (#255916)
* Wed May 17 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mrueckert@suse.de
- update to version 2.2.2
* Tue Feb 15 2005 - kssingvo@suse.de
- updated to version 2.1
- rewrote many parts of the spec file to get it more SUSE like
* Wed Aug 25 2004 - mana@suse.de
- initial package for mxml-2.0
